Subject: Re: [X2Go-Dev] Bug#365: Bug#365: Please add config option for "Eye Candy" regarding session icons

From: Mike Gabriel <[email-masked]>
Date: Thu, 12 Dec 2013 21:52:52 +0000

Hi Nick, hi Stefan,

On  Do 12 Dez 2013 02:44:54 CET, Nick Ingegneri wrote:

> On Wednesday, December 11, 2013 4:59 PM, Stefan Baur  
> <[email-masked]> wrote:
>
> Package: x2goclient
> Severity: wishlist
> Version: 4.0.1.2
>
> The taskbar icon suddenly changes into the seal icon once the connection
> is established.
> Please add a checkbox/config file entry to disable this.
> I'm sure it will confuse users who have previously used published
> application mode and look for the "Accelerated X" icon that has just
> vanished.
>
> NB: I'm kind of disappointed that we're adding silly eye candy when
> there still are serious bugs to fix.

> I agree that having the icon change when a connection is established  
> is confusing to users. I'd like to see the tool be more consistent  
> in the icon displayed; at the moment users have to juggle the  
> no-machine icon, the accelerated X logo, and now the baby seal. The  
> addition of the seal seems like a step away from consistency.

We will add session profile config options to handle bubbles and icon changes.

@Ricardo (who provided those patches): do you think you can add those  
config options / switches? If not, I will take a look.

However, we release 4.0.1.2 the coming weekend. So, this will be a job  
for 4.0.1.3.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb